---
sidebar_label: Browser.browserContexts
---

# Browser.browserContexts() method

Returns an array of all open browser contexts. In a newly created browser, this will return a single instance of [BrowserContext](./puppeteer.browsercontext.md).

**Signature:**

```typescript
class Browser {
  browserContexts(): BrowserContext[];
}
```

**Returns:**

[BrowserContext](./puppeteer.browsercontext.md)\[\]
